Subject: bug#46495: closed (Re: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Apr 2021 17:40:02 +0000

Your bug report

#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46495: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46495
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int
From: Eli Zaretskii <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 10 Apr 2021 20:38:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 10 Apr 2021 16:49:15 +0000
> 
> > Okay dc393517ca adds the warning emittion.  I've also added a customize
> > `comp-warning-on-missing-source' to silence that in case.
> >
> >   Andrea
> 
> Not an expert of the bug tracker here but I think this is still open.
> In case should we close it?

Right, closing.

Subject: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int
From: Andy Moreton <[email-masked]>
To: [email-masked]
Date: Sat, 13 Feb 2021 17:57:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Windows with the mingw64 32bit toolchain, the native branch build
fails when configured with "--with-nativecomp --with-wide-int".

Emacs crashes during .eln compilation. Attaching gdb to the crashing
emacs process does not produce a backtrace.

I suspect that this problem may not be Windows-specific, and should be 
reproducable on Linux, but I have not tried that.

     AndyM